# Class PersistentProviderRegistrations

java.lang.Object
org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations

public final class PersistentProviderRegistrations extends Object
Utility class for the loading and saving of JASPIC persistent provider registrations.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PersistentProviderRegistrations.Property`
  Represents a name-value property within a JASPIC provider registration.
  `static class`
  `PersistentProviderRegistrations.Provider`
  Represents a single JASPIC provider registration.
  `static class`
  `PersistentProviderRegistrations.Providers`
  Container for JASPIC provider registrations loaded from the configuration file.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`